void intrandomize(void) {      /* initialize the random generator rand() */
   srand((unsigned) time(NULL));
} /* intrandomize */

int intrand(int num) {         /* random int between 1 and num */
   return rand() % num + 1;
} /* end intrand */

long rand_start;

void floatrandomize(void) {
/* initialize the variable rand_start with a "random" negative long
integer value using the time function */
   rand_start = - (long) time(NULL);
} /* end floatrandomize */

/* constants for ran0 */
#define IA 16807
#define IM 2147483647
#define AM (1.0/IM)
#define IQ 127773
#define IR 2836
#define MASK 123459876

float ran0(long *idum) {
/* "Minimal" random generator of Park and Miller. Returns an uniform random
deviate between 0.0 and 1.0. Set or reset idum to any integer value (except
the unlikely value MASK) to initialize the sequence; idum must not be
altered between calls for successive deviates in a sequence. */
   long k;
   float ans;

   *idum ^= MASK;              /* XORing with MASK allows use of zero */
   k=(*idum)/IQ;               /* and other simple bit patterns for idum. */
   *idum=IA*(*idum-k*IQ)-IR*k; /* Compute idum=(IA*idum) % IM without */
   if (*idum < 0) *idum += IM; /* overflows by Schrage's method. */
   ans=AM*(*idum);             /* Convert idum to a floating result. */
   *idum ^= MASK;              /* Unmask before return */
   return ans;
} /* end ran0 */

float floatrand(void) {        /* random float between 0 and 1 */
   return ran0(&rand_start);
} /* end floatrand */
